Package org.eclipse.jface.viewers

## Class TreeViewerColumn

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerColumn
  - - org.eclipse.jface.viewers.TreeViewerColumn

    public final class TreeViewerColumn
    extends ViewerColumn

ViewerColumn implementation for TreeViewer to enable column-specific label providers and editing support.

Since:
  3.3

### Constructor Summary

Constructors
`TreeViewerColumn​(TreeViewer viewer, int style)` Creates a new viewer column for the given `TreeViewer` on a new `TreeColumn` with the given style bits.
`TreeViewerColumn​(TreeViewer viewer, int style, int index)` Creates a new viewer column for the given `TreeViewer` on a new `TreeColumn` with the given style bits.
`TreeViewerColumn​(TreeViewer viewer, TreeColumn column)` Creates a new viewer column for the given `TreeViewer` on the given `TreeColumn`.

### Method Summary

All Methods Instance Methods Concrete Methods
`TreeColumn` `getColumn()`

### Methods inherited from class org.eclipse.jface.viewers.ViewerColumn

`getViewer, handleDispose, setEditingSupport, setLabelProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeViewerColumn

    public TreeViewerColumn​(TreeViewer viewer,
                            int style)

Creates a new viewer column for the given `TreeViewer` on a new `TreeColumn` with the given style bits. The column is inserted at the given index into the list of columns.

Parameters:
  `viewer` - the tree viewer to which this column belongs
  `style` - the style bits used to create the column, for applicable style bits see `TreeColumn`
See Also:
  `TreeColumn(Tree, int)`

#### TreeViewerColumn

    public TreeViewerColumn​(TreeViewer viewer,
                            int style,
                            int index)

Creates a new viewer column for the given `TreeViewer` on a new `TreeColumn` with the given style bits. The column is added at the end of the list of columns.

Parameters:
  `viewer` - the tree viewer to which this column belongs
  `style` - the style bits used to create the column, for applicable style bits see `TreeColumn`
  `index` - the index at which to place the newly created column
See Also:
  `TreeColumn(Tree, int, int)`

#### TreeViewerColumn

    public TreeViewerColumn​(TreeViewer viewer,
                            TreeColumn column)

Creates a new viewer column for the given `TreeViewer` on the given `TreeColumn`.

Parameters:
  `viewer` - the tree viewer to which this column belongs
  `column` - the underlying tree column

### Method Detail

#### getColumn

    public TreeColumn getColumn()

Returns:
  the underlying SWT column